%define debug_package	%{nil}
%define	Objects_Home	/fmem-kernel-objects
%define	DIST		%(echo %{dist} | sed 's/\.//')
%define BaseName	fmem-kernel-modules
%define ARCH		%(uname -m)
%define _binaries_in_noarch_packages_terminate_build 0

Summary:	This package contains all of the kernel objects for all of the kernels for CentOS 9 Stream x86_64 for FMEM

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		%{BaseName}-%{DIST}-%{ARCH}
Version:	1.6
%define	RELMAJ 1
%define RELMIN 14
Release:	%{RELMAJ}.%{RELMIN}

License:	GPL

Group:		Applications/Forensics Tools
URL:		http://hysteria.sk/~niekt0/fmem/
Source:		%{BaseName}-%{version}-%{RELMAJ}.tgz
Patch1:		%{BaseName}-%{version}-%{RELMAJ}-patch-001

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildArch:	noarch

%description
This package provides kernel objects for CentOS 9 Stream x86_64-based systems.

%prep
%setup -T -c
%patch1 -p1

%build

%install
%{__install} -d %{buildroot}%{_datadir}/%{BaseName}-%{version}
cp -rp %{Objects_Home}/*%{DIST}*.*%{ARCH}* %{buildroot}%{_datadir}/%{BaseName}-%{version}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%attr(744, root, root)	%{_datadir}/%{BaseName}-%{version}/*/*.ko

%changelog
* Wed Sep 21 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-14
* Release 1.6-14
	Kernel modules were added for the following kernels:
		5.14.0-162
		5.14.0-163
		5.14.0-165

* Wed Sep  7 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-13
* Release 1.6-13
	Kernel modules were added for the following kernels:
		5.14.0-160

* Wed Aug 24 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-12
* Release 1.6-12
	Kernel modules were added for the following kernels:
		5.14.0-145
		5.14.0-148

* Wed Aug 10 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-11
* Release 1.6-11
	Kernel modules were added for the following kernels:
		5.14.0-142

* Wed Jul 27 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-10
* Release 1.6-10
	Kernel modules were added for the following kernels:
		5.14.0-134

* Wed Jul 20 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-9
* Release 1.6-9
	Kernel modules were added for the following kernels:
		5.14.0-127
		5.14.0-130

* Sat Jul  9 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-8
* Release 1.6-8
	Kernel modules were added for the following kernels:
		5.14.0-115
		5.14.0-118
		5.14.0-119
		5.14.0-120
		5.14.0-124

* Tue Jun 21 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-7
* Release 1.6-7
	Kernel modules were added for the following kernels:
		5.14.0-109

* Wed Jun  8 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-6
* Release 1.6-6
	Kernel modules were added for the following kernels:
		5.14.0-105

* Wed Jun  1 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-5
* Release 1.6-5
	Kernel modules were added for the following kernels:
		5.14.0-101

* Wed May 25 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-4
* Release 1.6-4
	Kernel modules were added for the following kernels:
		5.14.0-80
		5.14.0-83
		5.14.0-85
		5.14.0-86
		5.14.0-92
		5.14.0-96

* Wed Apr 20 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-3
* Release 1.6-3
	Kernel modules were added for the following kernels:
		5.14.0-77
		5.14.0-78

* Wed Apr  6 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-2
* Release 1.6-2
	Kernel modules were added for the following kernels:
		5.14.0-73
		5.14.0-74
		5.14.0-75

* Thu Mar 17 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1
* Release 1.6-1
	Initial release. Kernel modules were added for the following kernels
		5.14.0-16
		5.14.0-17
		5.14.0-48
		5.14.0-51
		5.14.0-52
		5.14.0-53
		5.14.0-55
		5.14.0-57
		5.14.0-58
		5.14.0-60
		5.14.0-62
		5.14.0-63
		5.14.0-65
		5.14.0-66
		5.14.0-70
		5.14.0-71
